# vim: set ft=spec: -*- rpm-spec -*-

Name: xmpp4r
Version: 0.3
Release: alt1

Summary: XMPP/Jabber library for Ruby
Group: Development/Ruby
License: Dual: GPL and Ruby
Url: http://home.gna.org/xmpp4r/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

# Repacked tgz to tar.gz
Source: http://download.gna.org/xmpp4r/%name-%version.tar.gz

# Automatically added by buildreq on Wed Jul 12 2006
BuildRequires: ruby  >= 1.8.1-alt9, libruby-devel
Requires: ruby-stdlibs

%description
XMPP4R is a XMPP/Jabber library for Ruby. Its goal is to provide
a complete framework to develop Jabber-related applications or
scripts in Ruby.

* Fully object-oriented (well, it's Ruby ;)
* Aims at being XMPP compliant
* Threaded and non-threaded mode
* Well unit-tested and documented code
* Uses well-known and well-tested software like REXML, instead
  of reinventing the wheel
* Very easy to extend

%prep
%setup -q

%build
ruby -rvendor-specific setup.rb config
ruby -rvendor-specific setup.rb setup

%install
ruby -rvendor-specific setup.rb install --prefix=%buildroot
%rdoc lib/
%__rm -rf %buildroot%_datadir/doc/%name
%__rm -rf %buildroot%ruby_ri_sitedir/REXML

%files
%doc ChangeLog README data/doc/xmpp4r/examples
%ruby_sitelibdir/*
%ruby_ri_sitedir/Jabber*
%ruby_ri_sitedir/Callback*

%changelog
* Thu Jul 20 2006 Sir Raorn <raorn@altlinux.ru> 0.3-alt1
- [0.3]

* Wed Jul 12 2006 Sir Raorn <raorn@altlinux.ru> 0.2-alt1
- Built for Sisyphus

